"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DatadogCodepush = void 0;

var _mobileReactNative = require("@datadog/mobile-react-native");

var _reactNativeCodePush = _interopRequireDefault(require("react-native-code-push"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Use this class instead of DdSdkReactNative to initialize the Datadog SDK when using AppCenter CodePush.
 */
const DatadogCodepush = {
  async initialize(configuration) {
    const codePushUpdateMetadata = await _reactNativeCodePush.default.getUpdateMetadata();

    if (codePushUpdateMetadata) {
      configuration.versionSuffix = `codepush.${codePushUpdateMetadata.label}`;
    }

    return _mobileReactNative.DdSdkReactNative.initialize(configuration);
  }

};
exports.DatadogCodepush = DatadogCodepush;
//# sourceMappingURL=index.js.map